### Constructor

# Ide PipelineStageLauncher new

#### Declaration

    IdePipelineStage*
    ide_pipeline_stage_launcher_new (
      IdeContext* context,
      IdeSubprocessLauncher* launcher
    )

#### Description

Creates a new `IdePipelineStageLauncher` that can be attached to an `IdePipeline`.

Available since: | 3.32

#### Parameters

`context` | `IdeContext`
| An `IdeContext`.
| The data is owned by the caller of the function.
`launcher` | `IdeSubprocessLauncher`
| An `IdeSubprocessLauncher` or `NULL`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.

#### Return value

Returns: | `IdePipelineStage`
| An `IdePipelineStageLauncher`.
| The caller of the function takes ownership of the data, and is responsible for freeing it.